<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ChangedAfter StructType
 * @subpackage Structs
 */
class ChangedAfter extends DateStrategySelection
{
    /**
     * The Since
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Since;
    /**
     * Constructor method for ChangedAfter
     * @uses ChangedAfter::setSince()
     * @param string $since
     */
    public function __construct($since = null)
    {
        $this
            ->setSince($since);
    }
    /**
     * Get Since value
     * @return string
     */
    public function getSince()
    {
        return $this->Since;
    }
    /**
     * Set Since value
     * @param string $since
     * @return \StructType\ChangedAfter
     */
    public function setSince($since = null)
    {
        // validation for constraint: string
        if (!is_null($since) && !is_string($since)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($since, true), gettype($since)), __LINE__);
        }
        $this->Since = $since;
        return $this;
    }
}
